Class | Tk::BWidget::ScrolledWindow
In: | tk/lib/tkextlib/bwidget/scrolledwindow.rb
Parent: | TkWindow

### Methods

get_frame set_widget

### Constants

TkCommandNames | = | ['ScrolledWindow'.freeze].freeze
WidgetClassName | = | 'ScrolledWindow'.freeze

### Public Instance methods

get_frame(&b)

[Source]

    # File tk/lib/tkextlib/bwidget/scrolledwindow.rb, line 22
      def get_frame(&b)
        win = window(tk_send_without_enc('getframe'))
        win.instance_eval(&b) if b
        win
      end

set_widget(win)

[Source]

    # File tk/lib/tkextlib/bwidget/scrolledwindow.rb, line 28
      def set_widget(win)
        tk_send_without_enc('setwidget', win)
        self
      end

[Validate]